Package twisted :: Package python :: Module formmethod :: Class String |
[show private | hide private]
[frames | no frames]

## Class String

    Argument --+
               |
              String

Known Subclasses:
  `Hidden`, `Text`, `Password`

A single string.

Method Summary
| `__init__(self, name, default, shortDesc, longDesc, hints)` (inherited from `Argument`)
| `addHints(self, **kwargs)` (inherited from `Argument`)
| ``coerce`(self, val)` Convert the value to the correct format.
| `getHint(self, name, default)` (inherited from `Argument`)
| `getLongDescription(self)` (inherited from `Argument`)
| `getShortDescription(self)` (inherited from `Argument`)

Class Variable Summary
`str` | `defaultDefault`

Method Details

### coerce(self, val) Convert the value to the correct format. Overrides: `twisted.python.formmethod.Argument.coerce` (inherited documentation)

Class Variable Details

    ### defaultDefault Type: `str` Value:
        ''

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net